Subject: [TR] How to apply a Moss decal

From: Anthony Rhodes <[email-masked]>
Date: Mon, 19 Jun 2023 20:52:45 -0400

I have a Moss decal for the lighting switch that gets applied to the escutcheon at the steering wheel on my TR4A.   The decal came with no instructions.  None on the moss webpage about this decal either

It is not obviously a “peel and stick”. I can’t tell if it is a like the old fashioned model decals that get soaked in water and floated off

Anybody know how to make this work.  I’d rather not destroy it in my attempts to use it and then have to order a new one!!!

I am in digest mode, so please also reply directly to me, if possible.

-Tony
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]